Subject: Re: Problem calling WINAPI functions with structs
From: [email-masked] (Mumit Khan)

18 Jan 1998 11:09:36 -0800
Message-ID: <[email-masked]>
References: <[email-masked]>
To: "Gert van Antwerpen" <[email-masked]>
Cc: [email-masked]

"Gert van Antwerpen" <[email-masked]> writes:
> I tried to make some application which has an interface to windows. 
> I found that some WINAPI32 functions do not correctly pass their arguments
> to the stack. GetLargestConsoleWindowSize returns a struct and my feeling
> is that GCC does not handle it the same way other windows compilers do, so
> it does not work. I am not sure but also passing structs (by value) to
> WINAPI funcs have also strange results.
> 

Can you try -fpcc-struct-return flag and see if it fixes your problem
with GetLargestConsoleWindowSize?

Also, can you send me a (short) sample code that demonstrates the
problem?

Regards,
Mumit
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".